curl --request PUT \
--url https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate/{shippingRateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"description": "Ships next day",
"currency": "USD",
"amount": 99.99,
"conditionType": "price",
"minCondition": 99.99,
"maxCondition": 99.99,
"isCarrierRate": true,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
}
'{
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"currency": "USD",
"amount": 99.99,
"conditionType": "price",
"minCondition": 99.99,
"maxCondition": 99.99,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"_id": "655b33a82209e60b6adb87a5",
"shippingZoneId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"description": "Ships next day",
"isCarrierRate": true,
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
},
"message": "Successfully created"
}The “update Shipping Rate” API allows update a shipping rate to the system.
curl --request PUT \
--url https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate/{shippingRateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"description": "Ships next day",
"currency": "USD",
"amount": 99.99,
"conditionType": "price",
"minCondition": 99.99,
"maxCondition": 99.99,
"isCarrierRate": true,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
}
'{
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"currency": "USD",
"amount": 99.99,
"conditionType": "price",
"minCondition": 99.99,
"maxCondition": 99.99,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"_id": "655b33a82209e60b6adb87a5",
"shippingZoneId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"description": "Ships next day",
"isCarrierRate": true,
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
},
"message": "Successfully created"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
ID of the shipping zone
"6578278e879ad2646715ba9c"
ID of the shipping rate that needs to be returned
"6578278e879ad2646715ba9c"
Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Name of the shipping zone
"North zone"
Delivery description
"Ships next day"
The currency of the amount of the rate / handling fee
"USD"
The amount of the shipping rate if it is normal rate (0 means free ). Fixed Handling fee if it is a carrier rate (it will add to the carrier rate).
99.99
Type of condition to provide the conditional pricing
none, price, weight "price"
Minimum condition for applying this price. set 0 or null if there is no minimum
99.99
Maximum condition for applying this price. set 0 or null if there is no maximum
99.99
is this a carrier rate
true
Shipping carrier id
"655b33a82209e60b6adb87a5"
Percentage of rate fee if it is a carrier rate.
10.99
An array of items
Show child attributes
Was this page helpful?